orchestrator
2024.10
false
- 入门指南
- 身份验证
- Swagger 定义
- Orchestrator API
- 平台管理 API
重要 :
新发布内容的本地化可能需要 1-2 周的时间才能完成。

Orchestrator API 指南
上次更新日期 2026年3月24日
删除机器人帐户
根据组织 ID,从组织中删除多个机器人帐户。
API 端点
DELETE https://{yourDomain}/{organizationName}/identity/api/RobotAccount/{partitionGlobalId}
作用域
需要以下作用域:
- PM.RobotAccount
- PM.RobotAccount.Write
请求标头
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:
要获取{access_token} ,请确保通过此处描述的其中一种方法进行身份验证。
路径参数
| 路径参数 | 数据类型 | 描述 |
|---|---|---|
partitionGlobalId (必填) | 字符串 | 要检索其机器人帐户的组织 ID。 |
请求正文
请求正文包含要从组织中批量删除的机器人帐户 ID 列表。
{
"robotAccountIDs": [
"string",
"string"
]
}
{
"robotAccountIDs": [
"string",
"string"
]
}
响应
200 OK
系统会从组织中删除指定的机器人帐户。
请求示例
假设您收集了构建 API 调用所需的所有信息。
- 您的
{baseURL}为:https://{yourDomain}/{organizationName}/{tenantName}/ - 您的
{access_token}为:1234(出于长度考虑)。 {partitionGlobalId}为:magic-7- 要删除的机器人帐户具有以下 ID:
- 机器人 1:
11-xy - 机器人 2:
22-tz
- 机器人 1:
调用应如下所示 (cURL):
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"robotAccountIDs": [
"11-xy",
"22-tz"
]
}'
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"robotAccountIDs": [
"11-xy",
"22-tz"
]
}'